Index: main/say.c
===================================================================
--- main/say.c	(revision 73724)
+++ main/say.c	(working copy)
@@ -126,14 +126,16 @@
 			fnbuf[8] = ltr;
 			fn = fnbuf;
 		}
-		res = ast_streamfile(chan, fn, lang);
-		if (!res) {
-			if ((audiofd  > -1) && (ctrlfd > -1))
-				res = ast_waitstream_full(chan, ints, audiofd, ctrlfd);
-			else
-				res = ast_waitstream(chan, ints);
+		if (fn && ast_fileexists(fn, NULL, NULL) > 0) {
+			res = ast_streamfile(chan, fn, lang);
+			if (!res) {
+				if ((audiofd  > -1) && (ctrlfd > -1))
+					res = ast_waitstream_full(chan, ints, audiofd, ctrlfd);
+				else
+					res = ast_waitstream(chan, ints);
+			}
+			ast_stopstream(chan);
 		}
-		ast_stopstream(chan);
 		num++;
 	}
 
@@ -204,14 +206,16 @@
 			fnbuf[9] = ltr;
 			fn = fnbuf;
 		}
-		res = ast_streamfile(chan, fn, lang);
-		if (!res) {
-			if ((audiofd  > -1) && (ctrlfd > -1))
-				res = ast_waitstream_full(chan, ints, audiofd, ctrlfd);
-			else
-				res = ast_waitstream(chan, ints);
+		if (fn && ast_fileexists(fn, NULL, NULL) > 0) {
+			res = ast_streamfile(chan, fn, lang);
+			if (!res) {
+				if ((audiofd  > -1) && (ctrlfd > -1))
+					res = ast_waitstream_full(chan, ints, audiofd, ctrlfd);
+				else
+					res = ast_waitstream(chan, ints);
+			}
+			ast_stopstream(chan);
 		}
-		ast_stopstream(chan);
 		num++;
 	}
 
@@ -252,7 +256,7 @@
 			fn = fnbuf;
 			break;
 		}
-		if (fn) {
+		if (fn && ast_fileexists(fn, NULL, NULL) > 0) {
 			res = ast_streamfile(chan, fn, lang);
 			if (!res) {
 				if ((audiofd  > -1) && (ctrlfd > -1))
